Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.flow.table
Class ConditionalBorder

    java.lang.Object
      org.apache.fop.fo.flow.table.ConditionalBorder

public class ConditionalBorder
extends java.lang.Object

A class that holds the three possible values for a border-before/after on a table-cell, in the collapsing model. These three values are (for border-before, similar for border-after):

- normal: common case, when a cell follows the cell before on a same page;
- leading: when the table is broken and the cell appears at the top of a page, in which case its border must be resolved with the header (or the top of the table) instead of with the previous cell;
- rest: when a cell is broken over several pages; same as leading but with conditionality taken into account.

Field Summary
`static int` | `LEADING_TRAILING`
`static int` | `NORMAL`
`static int` | `REST`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NORMAL

    public static final int NORMAL

See Also:
  Constant Field Values

### LEADING_TRAILING

    public static final int LEADING_TRAILING

See Also:
  Constant Field Values

### REST

    public static final int REST

See Also:
  Constant Field Values

Method Detail

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.